--------------------------------------------------------------------------------
-- Copyright (c) 1995-2013 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 14.7
--  \   \         Application : sch2hdl
--  /   /         Filename : EPROM_en.vhf
-- /___/   /\     Timestamp : 11/03/2018 13:43:31
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -intstyle ise -family xc9500xl -flat -suppress -vhdl D:/Projects/Xilinx/A2_SD/src/EPROM_en.vhf -w D:/Projects/Xilinx/A2_SD/SUBMODULES/EPROM_en.sch
--Design Name: EPROM_en
--Device: xc9500xl
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FD_MXILINX_EPROM_en is
   generic( INIT : bit :=  '0');
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_EPROM_en;

architecture BEHAVIORAL of FD_MXILINX_EPROM_en is
   attribute BOX_TYPE   : string ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component FDCP
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : component is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
   generic map( INIT => INIT)
      port map (C=>C,
                CLR=>XLXN_4,
                D=>D,
                PRE=>XLXN_4,
                Q=>Q);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FDRS_MXILINX_EPROM_en is
   generic( INIT : bit :=  '0');
   port ( C : in    std_logic; 
          D : in    std_logic; 
          R : in    std_logic; 
          S : in    std_logic; 
          Q : out   std_logic);
end FDRS_MXILINX_EPROM_en;

architecture BEHAVIORAL of FDRS_MXILINX_EPROM_en is
   attribute BOX_TYPE   : string ;
   attribute HU_SET     : string ;
   signal XLXN_6 : std_logic;
   signal XLXN_7 : std_logic;
   signal XLXN_8 : std_logic;
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component FD_MXILINX_EPROM_en
      generic( INIT : bit :=  '0');
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   attribute HU_SET of U0 : label is "U0_3";
begin
   I_36_112 : AND2B1
      port map (I0=>R,
                I1=>S,
                O=>XLXN_6);
   
   I_36_113 : AND2B1
      port map (I0=>R,
                I1=>D,
                O=>XLXN_8);
   
   I_36_120 : OR2
      port map (I0=>XLXN_6,
                I1=>XLXN_8,
                O=>XLXN_7);
   
   U0 : FD_MXILINX_EPROM_en
   generic map( INIT => INIT)
      port map (C=>C,
                D=>XLXN_7,
                Q=>Q);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity EPROM_en is
   port ( n_cfff  : in    std_logic; 
          n_iosel : in    std_logic; 
          r_nw    : in    std_logic; 
          ROM_oe  : out   std_logic);
end EPROM_en;

architecture BEHAVIORAL of EPROM_en is
   attribute HU_SET     : string ;
   attribute BOX_TYPE   : string ;
   signal XLXN_3  : std_logic;
   signal XLXN_5  : std_logic;
   component FDRS_MXILINX_EPROM_en
      generic( INIT : bit :=  '0');
      port ( C : in    std_logic; 
             D : in    std_logic; 
             R : in    std_logic; 
             S : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component NAND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NAND2 : component is "BLACK_BOX";
   
   attribute HU_SET of XLXI_1 : label is "XLXI_1_4";
begin
   XLXI_1 : FDRS_MXILINX_EPROM_en
      port map (C=>XLXN_3,
                D=>XLXN_3,
                R=>n_cfff,
                S=>n_iosel,
                Q=>XLXN_5);
   
   XLXI_2 : VCC
      port map (P=>XLXN_3);
   
   XLXI_4 : NAND2
      port map (I0=>XLXN_5,
                I1=>r_nw,
                O=>ROM_oe);
   
end BEHAVIORAL;


